﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace Circle
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private Graphics g;
        private Pen p;

        private void Draw (int x, int y, int size)
        {
            int iter = 6, a = 3;
            int r1, r2;

            if(size > 1)
            {
                r1 = (int)Math.Round(size / (a*1.0));
                r2 = (int)Math.Round(size * (a - 1.0) / a);
                Draw(x, y, r1);
                for (int i = 1; i <= iter; i++)
                    Draw(x - (int)Math.Round(r2 * Math.Sin(2 * Math.PI / iter * i)), y + (int)Math.Round(r2 * Math.Cos(2 * Math.PI / iter * i)), r1);
                
            }
            g.DrawEllipse(p, x - size, y - size, 2 * size, 2 * size);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            g = picture_box.CreateGraphics();
            p = new Pen(Color.Black);
            g.FillRectangle(Brushes.White, 0, 0, picture_box.Width, picture_box.Height);
            Draw(260, 255, 250);
        }
    }
}
